import { AbstractControl, Validator } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class FileSizeValidator implements Validator {
    minSize: number;
    set setMinSize(value: number | string);
    maxSize: number;
    set setMaxSize(value: number | string);
    constructor();
    validate(control: AbstractControl): {
        [key: string]: any;
    } | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileSizeValidator, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FileSizeValidator, "input[type=file][max-size],input[type=file][min-size]", never, { "setMinSize": "min-size"; "setMaxSize": "max-size"; }, {}, never>;
}
export declare function parseFileSize(value: string): number;
